Paquete de sistema roto. Ubuntu 12.04

Imagen de LAcamiLA
0 puntos

Buenas! No puedo instalar las actualizaciones que recomienda el equipo (tengo más de 200 pendientes). al entrar en el centro de Software de Ubuntu me sale un mensaje que dice "No se pueden instalar ni desinstalar elementos hasta que se repare el catálogo de paquetes. ¿Quiere repararlo ahora?" Cuando le doy "repara" me sale otro mensaje "Falló la operacion con el paquete" y en los detalles figura:

InstallArchives() failed: dpkg: error processing libpulsedsp (--configure):
libpulsedsp:amd64 1:1.1-0ubuntu15.2 cannot be configured because libpulsedsp:i386 is in a different version (1:1.1-0ubuntu15.3)
dpkg: error processing libpulsedsp:i386 (--configure):
libpulsedsp:i386 1:1.1-0ubuntu15.3 cannot be configured because libpulsedsp:amd64 is in a different version (1:1.1-0ubuntu15.2)
Errors were encountered while processing:
libpulsedsp
libpulsedsp:i386
Error in function:
dpkg: error processing libpulsedsp (--configure):
libpulsedsp:amd64 1:1.1-0ubuntu15.2 cannot be configured because libpulsedsp:i386 is in a different version (1:1.1-0ubuntu15.3)
dpkg: error processing libpulsedsp:i386 (--configure):
libpulsedsp:i386 1:1.1-0ubuntu15.3 cannot be configured because libpulsedsp:amd64 is in a different version (1:1.1-0ubuntu15.2)

Para solucionar este problema muchos hablan del gestor de paquetes synaptic como una buena solución pero yo no lo tengo y no logro instalarlo. Ya ejecute varios comandos que recomiendan en otras páginas sin resultados concretos, espero haber aportado los datos necesarios para encontrar alguna solución, espero respuestas.. Gracias!

Imagen de cuentos
+1
0
-1

este error se suele presentar al instalar repositorios externos, los ppa que se instalan al querer tener programas mas actualizados que los que tienes en el sistema, etc...
Para ver los ppa mira que esta en el directorio:
ls /etc/apt/sourcers.list.d
Y de igual manera trata de borrar estos ppa, con ppa purgue
http://diversidadyunpocodetodo.blogspot.mx/2013/02/ppa-purge-eliminar-ag...
pero prueba si te permite instalar el programa, como ya tienes el sistema roto,

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de LAcamiLA
+1
0
-1

Pude ver la lista al ingresar: grep -i ppa.launchpad.net /etc/apt/sources.list.d/*.list pero al tratar de instalar ppa-purge así: sudo ppa-purge ppa# sudo apt-get install ppa-purge
me aparece "orden no encontrada"
Tambien intente descargarlo de esta pagina: http://blog.desdelinux.net/ppa-purge-como-remover-un-repositorio-ppa-en-... pero me remite al centro de software y no lo puedo instalar...

+1
0
-1

LAcamiLA

Imagen de Jose Luis 1320
+1
0
-1

Si no puedes instalar ppa-purge siquiera... el sistema esta totalmente roto... ese no es problema de ubuntu, sino tuyo que no supiste como usar los ppas...

igual y si bajas el .deb de ppa-purge y lo instalas de forma manual con dpkg

dpkg -i ppa-purge.... en donde escribes el nombre completo del archivo .deb, con la extensión.

haber si así lo puedes instalar.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de kriztian_f
+1
0
-1

La verdad no me queda muy claro la culpabilidad de alguien, ya que tengo el mismo problema que describe LaCamila y sólo he instalado aplicaciones vía central de sofware, vía synaptic o cómo me indican en este foro, luego aún no entiendo.
Consulta: ¿Al formatear y volver a instalar Ubuntu 12.04 LTS desaparece el error?
Gracias por sus consejos.
Saludos

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

Si no encuentras como resolverlo en los temas del foro, por favor sube tu pregunta, explicando específicamente tu problema; que aquí no se te va a ayudar, este no es tu hilo.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Alcruz
+1
0
-1

Estos problemas los suelo solucionar con el gestor de paquetes Synaptic
filtros ---> rotos ---> seleccionas y borras todos lo paquetes que aparecen
Si no tienes instalado Synaptic, prueba en un terminal con
sudo dpkg --configure -a
sudo apt-get install -f

+1
0
-1